GalertActionLog (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GalertActionLog class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GalertActionLog

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.galerts.server.session.GalertActionLog

All Implemented Interfaces:
  java.io.Serializable

    public class GalertActionLog

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `GalertActionLog()`

Method Summary
`Action` | `getAction()`
`EscalationAlertType` | `getAlertType()`
`protected int` | `getAlertTypeEnum()`
`java.lang.String` | `getDetail()`
`GalertLog` | `getGalertLog()`
`AuthzSubject` | `getSubject()`
`long` | `getTimeStamp()`
`protected void` | `setAction(Action action)`
`protected void` | `setAlertTypeEnum(int v)`
`protected void` | `setDetail(java.lang.String detail)`
`protected void` | `setGalertLog(GalertLog alert)`
`protected void` | `setSubject(AuthzSubject subject)`
`protected void` | `setTimeStamp(long stamp)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GalertActionLog

    protected GalertActionLog()

Method Detail

### getDetail

    public java.lang.String getDetail()

### setDetail

    protected void setDetail(java.lang.String detail)

### getGalertLog

    public GalertLog getGalertLog()

### setGalertLog

    protected void setGalertLog(GalertLog alert)

### getAction

    public Action getAction()

### setAction

    protected void setAction(Action action)

### getSubject

    public AuthzSubject getSubject()

### setSubject

    protected void setSubject(AuthzSubject subject)

### getAlertTypeEnum

    protected int getAlertTypeEnum()

### setAlertTypeEnum

    protected void setAlertTypeEnum(int v)

### getAlertType

    public EscalationAlertType getAlertType()

### getTimeStamp

    public long getTimeStamp()

### setTimeStamp

    protected void setTimeStamp(long stamp)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.